summaryrefslogtreecommitdiffstats
path: root/functions.sh.in
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-03-20 16:13:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-03-20 16:13:07 +0000
commit9c1595dc423970cf86ef371dd15df9b27d9baf81 (patch)
tree7d8f3608ee31b836bc447c54f65701affcb38732 /functions.sh.in
parentc2e91c2f662a5bc02f3195fff8f2472c2514d28b (diff)
downloadabuild-9c1595dc423970cf86ef371dd15df9b27d9baf81.tar.bz2
abuild-9c1595dc423970cf86ef371dd15df9b27d9baf81.tar.xz
functions: fix abuild -A
fix so abuild -A does not exit with error if gitbase fails this was introduced with the set -e
Diffstat (limited to 'functions.sh.in')
-rw-r--r--functions.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/functions.sh.in b/functions.sh.in
index 3e1840c..925dc43 100644
--- a/functions.sh.in
+++ b/functions.sh.in
@@ -71,7 +71,7 @@ readconfig() {
[ -f "$ABUILD_CONF" ] && . "$ABUILD_CONF"
[ -f "$ABUILD_USERCONF" ] && . "$ABUILD_USERCONF"
APORTSDIR=${_APORTSDIR-$APORTSDIR}
- gitbase=$(git rev-parse --show-toplevel 2>/dev/null) # already is -P
+ gitbase=$(git rev-parse --show-toplevel 2>/dev/null) || true # already is -P
if [ -d "$APORTSDIR" ]; then
APORTSDIR=$(cd "$APORTSDIR"; pwd -P)
elif [ -z "$APORTSDIR" ] && [ -d "$HOME/aports" ]; then